Bug 739579 - Deployable fails to launch on EC2
Summary: Deployable fails to launch on EC2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor
Version: 1.0.0
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: rc
Assignee: Angus Thomas
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 14:49 UTC by Joe Vlcek
Modified: 2012-01-26 12:16 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-07 12:50:25 UTC


Attachments (Terms of Use)
/var/log/aeolus-conductor/thin.log from failed launch (504 bytes, text/x-log)
2011-09-19 14:49 UTC, Joe Vlcek
no flags Details
Deltacloud EC2 log with Errors (8.12 MB, text/x-log)
2011-09-22 13:46 UTC, Joe Vlcek
no flags Details

Description Joe Vlcek 2011-09-19 14:49:32 UTC
Created attachment 523848 [details]
/var/log/aeolus-conductor/thin.log from failed launch

Description of problem:

After applying the latest updates attempts to launch a deployable on
EC2 fails.

Version-Release number of selected component (if applicable):

0.4.0-0.20110916175452git9d14599.fc15

How reproducible:

Configure Conductor for EC2, attempt to launch a deployable with
at least one "Assembly" with an EC2 "Image ID"


Steps to Reproduce:
1.Upgrade to the latest bits from the -testing repo, or build from source
2. Run aeolus-configure
3. Attempt to launch deployable
  
Actual results:

/var/log/aeolus-conductor/thin.log seems to indicate the launch happened
but the Condor que is empty.
keelhaul % condor_q -better
Warning:  Found no submitters


-- Submitter: keelhaul : <10.16.19.204:49471> : keelhaul

WARNING: Analysis is only meaningful for Grid universe jobs using matchmaking.
keelhaul % 



Expected results:

A Condor Job should show up in the Condor queue
The image should be launched on EC2


Additional info:

thin.log file attached.

Comment 1 Ian Main 2011-09-20 21:15:59 UTC
Hmm, we're missing some info here..  maybe the rails log has a failure in it?  The thin log isn't showing anything.  There will likely be a traceback in one of the logs dealing with the submission if it failed.

Comment 2 Joe Vlcek 2011-09-22 13:46:24 UTC
Created attachment 524412 [details]
Deltacloud EC2 log with Errors

Deltacloud EC2 log with Errors

Comment 3 Joe Vlcek 2011-09-22 13:54:10 UTC
The only possibly related log I see with errors is the /var/log/deltacloud-core/ec2.log

Which I've attached.

Chris Lalancette told me he has made code changes which may address this. I am adding him to the cc-list so he can determine if his changes address what is seen in the newly attached log.

Comment 4 wes hayutin 2011-09-22 14:03:31 UTC
condor removed... rechecking

Comment 5 Chris Lalancette 2011-09-22 14:23:45 UTC
Yes, this should be fixed by the updated packages.

Comment 6 wes hayutin 2011-09-23 19:58:10 UTC
Instances  3  Properties
Graphic ViewFilter View
Instances
testThree/back
IP Address: ec2-107-20-27-153.compute-1.amazonaws.com
State: running
Download key
testThree/frontend
IP Address: ec2-184-73-128-223.compute-1.amazonaws.com
State: running
Download key
testThree/middle
IP Address: ec2-50-16-6-150.compute-1.amazonaws.com
State: running
Download key


[root@unused ~]# rpm -qa | grep aeolus
aeolus-conductor-doc-0.4.0-0.20110922165939git5b371be.fc15.noarch
aeolus-conductor-0.4.0-0.20110922165939git5b371be.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110922165939git5b371be.fc15.noarch
aeolus-all-0.4.0-0.20110922165939git5b371be.fc15.noarch
aeolus-conductor-devel-0.4.0-0.20110922165939git5b371be.fc15.noarch
aeolus-configure-2.0.2-4.20110921102958gitcaa9608.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20110922120732gita0b9a44.fc15.noarch

Comment 7 Ian Main 2011-09-26 14:44:40 UTC
haha, ya that'll fix it :).


Note You need to log in before you can comment on or make changes to this bug.